Bug 204393 - devel/freeocl fails to build with GCC 4.9: invalid C++
Summary: devel/freeocl fails to build with GCC 4.9: invalid C++
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 212364
  Show dependency treegraph
 
Reported: 2015-11-09 10:21 UTC by Gerald Pfeifer
Modified: 2017-04-19 20:15 UTC (History)
3 users (show)

See Also:
gerald: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-11-09 10:21:30 UTC
We are working to move the default version of GCC in ports (lang/gcc)
from GCC 4.8 to GCC 4.9.

Sadly this port is one of a few that blocks this update, cf. http://package22.nyi.freebsd.org/data/101i386-default-PR196712/2015-10-27_08h38m03s/logs/errors/freeocl-0.3.6_6.log
Comment 1 O. Hartmann 2015-11-19 05:36:41 UTC
Sorry for the late answer. I have little time recently. I will look into this as soon as possible, but my C++ knowledge is very limited.

FreeOCL is a software package that does not receive updates anymore from upstream - as far as I can say from a distant perspective and viewpoint. The focus is more on POCL, for which I proposed also a port, Aeons ago.
Comment 2 Raphael Kubo da Costa freebsd_committer 2016-03-05 23:39:56 UTC
This upstream patch fixes this specific build issue, I think:
https://github.com/zuzuf/freeocl/commit/753610ed3afe484d19d5bf24a6716c6f65051d07

There are many other commits that went in that improve portability, but they're fairly big. Do you think it makes sense to keep this port around for long?
Comment 3 O. Hartmann 2016-09-12 06:49:14 UTC
(In reply to Raphael Kubo da Costa from comment #2)
Sorry, I'm a bit confused and have not focused much on this port.

I will check this, soon. Since I got a bit closer to poudriere and its value for development, I'll check this and it would be nice if I could get some hints how to setup the build environment in poudriere to use another compiler than the base's LLVM/CLANG to checkout what is going wrong.
Comment 4 O. Hartmann 2017-01-17 08:38:17 UTC
(In reply to O. Hartmann from comment #3)

I think this port should be retired in favour of devel/pocl. POCL is actively developed, FreeOCL seems not.
Comment 5 commit-hook freebsd_committer 2017-03-18 13:40:07 UTC
A commit references this bug:

Author: gerald
Date: Sat Mar 18 13:39:12 UTC 2017
New revision: 436408
URL: https://svnweb.freebsd.org/changeset/ports/436408

Log:
  Also mark DEPRECATED due to this being "dead" and having an actively
  maintainer replacement with lang/pocl.

  Pull in EXPIRATION_DATE to 2017-03-31.

  PR:		204393
  Approved by:	maintainer (O. Hartmann <ohartmann@walstatt.org>)

Changes:
  head/devel/freeocl/Makefile
Comment 6 Rene Ladan freebsd_committer 2017-04-19 20:15:26 UTC
Expired port removed.